﻿//*****************************************************************************
// Description     : Constant value definition for controlling device
// Target Device   : APN504X
// Target Platform : Windows, .NET Framework, C++
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __DEVICE_DEFINE_H__
#define __DEVICE_DEFINE_H__


//
// Size of the buffer of socket
//
#define DEVICE_SOCKBUF_CMD     (16 * 1024)  // for command communication(16kB)
#define DEVICE_SOCKBUF_DATA  (1024 * 1024)  // for receiving data(1MB)

//
// Timeout value
//
#define DEVICE_TIMEOUT_CMD           (200)  // for waiting command response
#define DEVICE_TIMEOUT_DATA          (200)  // for waiting data

//
// CH related value
//
#define DEVICE_MAX_CHNUM          (0x0004)  // number of CH
#define DEVICE_OFFSETADDR_CH      (0x0200)  // command address offset per CH

//
// Corresponding value
//
#define DEVICE_CNT_PER_NSEC          (10)   // 1count = 10nsec


#endif // __DEVICE_DEFINE_H__
